selftests: Run non-default tests

Use quicktest=1 in the main test run to avoid running default timer
tests twice.
This commit is contained in:
Ben Hutchings 2015-10-31 18:46:22 +00:00
parent 4c1226a6c4
commit 0d65a96da7
2 changed files with 12 additions and 3 deletions

View File

@ -1,4 +1,4 @@
Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config
Classes: smp

View File

@ -44,7 +44,10 @@ if [ "$step" -ge 0 ]; then
make headers_install
# Ignore compiler warnings
make -C tools/testing/selftests 2>&1 || echo >&2 "Build failed"
{
make -C tools/testing/selftests &&
make -C tools/testing/selftests/memfd build_fuse
} 2>&1 || echo >&2 "Build failed"
# Enable testing CLONE_USERNS by unprivileged users
sysctl kernel.unprivileged_userns_clone=1
@ -53,7 +56,13 @@ if [ "$step" -ge 0 ]; then
# and the exit code from make will be 0 even if tests failed.
# So we have to do some post-analysis...
set -o pipefail
make -C tools/testing/selftests run_tests 2>&1 | tee $ADTTMP/log
{
make -C tools/testing/selftests quicktest=1 run_tests &&
make -C tools/testing/selftests/cpu-hotplug run_full_test &&
make -C tools/testing/selftests/memory-hotplug run_full_test &&
make -C tools/testing/selftests/memfd run_fuse &&
make -C tools/testing/selftests/timers run_destructive_tests
} 2>&1 | tee $ADTTMP/log
set +o pipefail
if grep -E '\[(FAIL|UNSUPPORTED)\]|recipe for target .run_tests. failed' $ADTTMP/log | \
grep -q -v \